Bug 468834 - NetworkManager WPA certificate can't be deleted
NetworkManager WPA certificate can't be deleted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-28 06:50 EDT by Pekka Savola
Modified: 2012-08-16 17:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:38:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2008-10-28 06:50:36 EDT
Description of problem:
Once you've selected a WPA CA certificate from the dropdown menu, there doesn't seem to be any way to delete the certificate; the only thing possible is to switch the certificate.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.11.svn4022.4.fc9.i386

How reproducible:
Select WPA enterprise mode, select a file in 'CA Certificate' dropdown menu.  Once selected, try to find a way to remove the certificate (restoring earlier behaviour).
Comment 1 Niels Haase 2009-04-08 17:38:41 EDT
Reporter, are you still running Fedora 9, or have you upgraded to Fedora 10 or
Rawhide? In either case, can you let us know whether the issue is still
happening, and give the current version of the kernel and NM packages you're
using. Thank you.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Pekka Savola 2009-04-09 01:49:45 EDT
This issue still persists in Fedora 10.  Just tested kernel-2.6.27.21-170.2.67.fc10.i686 and NetworkManager-0.7.0.99-5.git20090326.fc10.i386.
Comment 3 Niels Haase 2009-04-09 16:37:44 EDT
This bug has been triaged.

Same behavior in rawhide with:

NetworkManager-glib-0.7.0.100-1.fc11.x86_64
NetworkManager-gnome-0.7.0.100-1.fc11.x86_64
NetworkManager-0.7.0.100-1.fc11.x86_64



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2009-11-16 04:33:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-11-04 07:43:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Pekka Savola 2010-11-05 06:29:04 EDT
Still present in F14.
Comment 7 Jirka Klimes 2010-11-05 07:45:33 EDT
There is a way (workaround) to remove the certificate name and set (None) again:
- click on the certificate
- open-file dialog box appears
- dismiss the dialog (either with "x" in the right corner or presing "Esc" or Alt-F4)

However, I agree it's not obvious at all. There should be more clear option.
Not sure what would be best. Possibly, when a certificate has been chosen and it's clicked, expanding combo box with two entries:
(None)
Select another cert

I wonder how other GUIs solve the issue?
Comment 8 Fedora End Of Life 2012-08-16 17:38:51 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.